
From: Thomas Gleixner <tglx@linutronix.de>

Use the new lock initializers DEFINE_SPIN_LOCK and DEFINE_RW_LOCK

Signed-off-by: Thomas Gleixner <tglx@linutronix.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/sh/cchips/voyagergx/consistent.c |    2 +-
 25-akpm/arch/sh/drivers/dma/dma-api.c         |    2 +-
 25-akpm/arch/sh/kernel/cpu/sh4/sq.c           |    2 +-
 25-akpm/arch/sh/kernel/time.c                 |    2 +-
 4 files changed, 4 insertions(+), 4 deletions(-)

diff -puN arch/sh/cchips/voyagergx/consistent.c~lock-initializer-cleanup-sh arch/sh/cchips/voyagergx/consistent.c
--- 25/arch/sh/cchips/voyagergx/consistent.c~lock-initializer-cleanup-sh	Wed Jan 12 16:54:19 2005
+++ 25-akpm/arch/sh/cchips/voyagergx/consistent.c	Wed Jan 12 16:54:19 2005
@@ -23,7 +23,7 @@ struct voya_alloc_entry {
 	unsigned long len;
 };
 
-static spinlock_t voya_list_lock = SPIN_LOCK_UNLOCKED;
+static DEFINE_SPINLOCK(voya_list_lock);
 static LIST_HEAD(voya_alloc_list);
 
 #define OHCI_SRAM_START	0xb0000000
diff -puN arch/sh/drivers/dma/dma-api.c~lock-initializer-cleanup-sh arch/sh/drivers/dma/dma-api.c
--- 25/arch/sh/drivers/dma/dma-api.c~lock-initializer-cleanup-sh	Wed Jan 12 16:54:19 2005
+++ 25-akpm/arch/sh/drivers/dma/dma-api.c	Wed Jan 12 16:54:19 2005
@@ -17,7 +17,7 @@
 #include <linux/list.h>
 #include <asm/dma.h>
 
-spinlock_t dma_spin_lock = SPIN_LOCK_UNLOCKED;
+DEFINE_SPINLOCK(dma_spin_lock);
 static LIST_HEAD(registered_dmac_list);
 
 /*
diff -puN arch/sh/kernel/cpu/sh4/sq.c~lock-initializer-cleanup-sh arch/sh/kernel/cpu/sh4/sq.c
--- 25/arch/sh/kernel/cpu/sh4/sq.c~lock-initializer-cleanup-sh	Wed Jan 12 16:54:19 2005
+++ 25-akpm/arch/sh/kernel/cpu/sh4/sq.c	Wed Jan 12 16:54:19 2005
@@ -32,7 +32,7 @@
 #include <asm/cpu/sq.h>
 
 static LIST_HEAD(sq_mapping_list);
-static spinlock_t sq_mapping_lock = SPIN_LOCK_UNLOCKED;
+static DEFINE_SPINLOCK(sq_mapping_lock);
 
 /**
  * sq_flush - Flush (prefetch) the store queue cache
diff -puN arch/sh/kernel/time.c~lock-initializer-cleanup-sh arch/sh/kernel/time.c
--- 25/arch/sh/kernel/time.c~lock-initializer-cleanup-sh	Wed Jan 12 16:54:19 2005
+++ 25-akpm/arch/sh/kernel/time.c	Wed Jan 12 16:54:19 2005
@@ -83,7 +83,7 @@
 
 extern unsigned long wall_jiffies;
 #define TICK_SIZE (tick_nsec / 1000)
-spinlock_t tmu0_lock = SPIN_LOCK_UNLOCKED;
+DEFINE_SPINLOCK(tmu0_lock);
 
 u64 jiffies_64 = INITIAL_JIFFIES;
 
_
